---
title: Create / Update Client
slug: create-update-client
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "E1hEC9thp475yOmFDeoTH",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/clients",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/clients"
      }
    ],
    "name": "Create / Update Client",
    "description": "<p>Request to create or update the Client.</p>\n<p>If you want to update Client using POST method you need to fill information for guid field or systemId field in request body.</p>\n<p>Example how to use custom values:</p>\n<p>You need to specify it for example like this:</p>\n<p>first value is guid of the custom field (for this case you can select all custom fields in this endpoint - <a href=\"https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1clients/get\" target=\"_blank\">https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1clients/get</a> ), and second is value of the custom field.\n\"customValues\":\n{\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e34\": \"Custom Value\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e35\": \"Custom Value 2\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e38\": \"2\"\n}</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "example-1"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": "Client name"
            },
            {
              "name": "address",
              "kind": "optional",
              "type": "string",
              "description": "Client address"
            },
            {
              "name": "city",
              "kind": "optional",
              "type": "string",
              "description": "Client city"
            },
            {
              "name": "zipCode",
              "kind": "optional",
              "type": "string",
              "description": "Client postal code"
            },
            {
              "name": "phone",
              "kind": "optional",
              "type": "string",
              "description": "Client phone number"
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "string",
              "description": "<p>Client E-mail</p>"
            },
            {
              "name": "creditStatus",
              "kind": "optional",
              "type": "string",
              "description": "Credit status guid or systemId"
            },
            {
              "name": "companyVatCode",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "companyCode",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "note",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "clientType",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "<p>1 - physical, 2 - juridical</p>",
              "format": "int32"
            },
            {
              "name": "customValues",
              "kind": "optional",
              "type": "string",
              "description": "<p>JSON object for custom field data (for example \"guid\": \"value\")</p>"
            },
            {
              "name": "reportEmails",
              "kind": "optional",
              "type": "string",
              "description": "It is a additional fields for the client emails"
            },
            {
              "name": "tags",
              "kind": "optional",
              "type": "array",
              "description": "<p>Tags to assign. Each value is matched against tag systemId, guid and title in that order; an unmatched value creates a new tag with that title.</p>",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "errors",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": []
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "7aUUzES47JEUR72EGGZbZ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/clients \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\"\n     }'"
        },
        {
          "id": "zeRatO0X_wb4Q3_ugPN0o",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/clients\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OZnnagPm6J8P2dPywxTrB",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/clients\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "s7BtaGFFLWmmbFETub9hO",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/clients\"\n\npayload = json.dumps({\n   \"title\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "7aUUzES47JEUR72EGGZbZ"
    },
    "results": {
      "languages": [
        {
          "id": "3tgd9P7ll26GQa0moX3Sd",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "AVewQnr49W2ILWGXcG9yE",
          "language": "400",
          "code": "// Data contains errors\n{\n  \"code\": \"\",\n  \"message\": \"\",\n  \"errors\": {\n    \"errors\": [\n      {}\n    ]\n  }\n}"
        }
      ],
      "selectedLanguageId": "3tgd9P7ll26GQa0moX3Sd"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}